package com.bonus.canteen.core.supply.purchase.domain.param;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.List;

@ApiModel
public class DrpPurDismantleGenerateInquiryMaterialDTO {
   @ApiModelProperty("货品id")
   private Long materialId;
   @ApiModelProperty("单位id")
   private Long unitId;
   @ApiModelProperty("采购订单数量")
   private BigDecimal orderNum;
   @ApiModelProperty("供应商集合id")
   private List<Long> supplierIds;
   @ApiModelProperty("类别ID")
   private Long categoryId;
   @ApiModelProperty("档口id")
   private Long stallId;
   @ApiModelProperty("备注")
   private String remark;

   public Long getMaterialId() {
      return this.materialId;
   }

   public Long getUnitId() {
      return this.unitId;
   }

   public BigDecimal getOrderNum() {
      return this.orderNum;
   }

   public List<Long> getSupplierIds() {
      return this.supplierIds;
   }

   public Long getCategoryId() {
      return this.categoryId;
   }

   public Long getStallId() {
      return this.stallId;
   }

   public String getRemark() {
      return this.remark;
   }

   public void setMaterialId(final Long materialId) {
      this.materialId = materialId;
   }

   public void setUnitId(final Long unitId) {
      this.unitId = unitId;
   }

   public void setOrderNum(final BigDecimal orderNum) {
      this.orderNum = orderNum;
   }

   public void setSupplierIds(final List<Long> supplierIds) {
      this.supplierIds = supplierIds;
   }

   public void setCategoryId(final Long categoryId) {
      this.categoryId = categoryId;
   }

   public void setStallId(final Long stallId) {
      this.stallId = stallId;
   }

   public void setRemark(final String remark) {
      this.remark = remark;
   }

}
